Page MenuHomePhabricator

Allow updating user's last seen time in action=echomarkread API
Closed, DeclinedPublic

Description

Instead of making two API requests to echomarkread and echomarkseen at the same time, lets have echomarkread handle all the functionality. Probably should be a follow up to https://gerrit.wikimedia.org/r/#/c/233639/

Event Timeline

Legoktm created this task.Aug 25 2015, 5:28 PM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm added a project: Notifications.
Legoktm added a subscriber: Legoktm.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 25 2015, 5:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 233757 had a related patch set uploaded (by Legoktm):
[WIP] Add markseen support to API action=echomarkread

https://gerrit.wikimedia.org/r/233757

Catrope assigned this task to Legoktm.Aug 26 2015, 11:18 PM
Catrope set Security to None.
Catrope triaged this task as Normal priority.
Catrope added a subscriber: Catrope.

We should really change the way we calculate seen time in general, which would solve both the technical issue and the conceptual issue.
See https://phabricator.wikimedia.org/T110731

Removing Patch to Review, since the attached patch depends on an abandoned patch.

jmatazzoni removed Legoktm as the assignee of this task.Apr 6 2016, 6:44 PM
jmatazzoni closed this task as Declined.May 9 2016, 9:41 PM

We only needed this because we mark alerts as read when seen, and we're getting rid of that behavior, so we won't need this any more.